Skip to main content
GET
/
api
/
v1
/
predictions
/
proposals
List prediction proposals
curl --request GET \
  --url https://api.alpha-labs.trade/api/v1/predictions/proposals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "proposal": {
        "id": "<string>",
        "groupId": "<string>",
        "createdById": "<string>",
        "eventId": "<string>",
        "marketId": "<string>",
        "outcomeMint": "<string>",
        "eventTitle": "<string>",
        "marketTitle": "<string>",
        "eventImageUrl": "<string>",
        "isYes": true,
        "status": "<string>",
        "result": "<string>",
        "didWin": true,
        "reason": "<string>",
        "resolvedAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "market": {},
      "userPosition": {
        "tokenAmount": "4.27",
        "tokenDecimals": 123,
        "totalCostUsd": "12.50",
        "avgCostBasisUsd": "12.50",
        "avgExitPriceUsd": "12.50",
        "unrealizedPnlPct": "4.27",
        "unrealizedPnlUsd": "12.50",
        "realizedPnlPct": "4.27",
        "realizedPnlUsd": "12.50",
        "currentValueUsd": "12.50",
        "currentPriceUsd": "12.50"
      },
      "remainingTokenAmount": "<string>",
      "createdBy": {
        "dynamicId": "<string>",
        "username": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).

Query Parameters

groupId
string
required
status
string

Filter by PredictionProposalStatus.

Response

Proposals with the caller's position.

data
object[]